Bug 1726327 - tests/features/subdir-mount.t is failing for brick_mux regrssion
Summary: tests/features/subdir-mount.t is failing for brick_mux regrssion
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: tests
Version: 6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohit Agrawal
QA Contact:
URL:
Whiteboard:
Depends On: 1720993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-02 15:36 UTC by Mohit Agrawal
Modified: 2019-07-03 06:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1720993
Environment:
Last Closed: 2019-07-03 06:41:22 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22981 None Merged tests: subdir-mount.t is failing for brick_mux regrssion 2019-07-03 06:41:21 UTC

Description Mohit Agrawal 2019-07-02 15:36:08 UTC
+++ This bug was initially created as a clone of Bug #1720993 +++

Description of problem:

tests/features/subdir-mount.t is failing for brick_mux regrssion
Version-Release number of selected component (if applicable):


How reproducible:
Run tests/features/subdir-mount.t in a loop

Steps to Reproduce:
1.
2.
3.

Actual results:
test case tests/features/subdir-mount.t is failing

Expected results:

test case tests/features/subdir-mount.t should not fail
Additional info:

--- Additional comment from Mohit Agrawal on 2019-06-17 05:30:19 UTC ---

test case .t is failing at the time of executing stat command just after an add-brick command executed by test case. After add-brick glusterd executes hook-script
S13create-subdir-mounts.sh for healing of the directories those are expected
to be present. The hook script executed by glusterd asynchronously so if somehow
script is not executed at the time of running stat in .t , stat is failed.
To avoid the error check in logs just after add-brick and wait to run hook-script.

--- Additional comment from Worker Ant on 2019-06-17 05:44:25 UTC ---

REVIEW: https://review.gluster.org/22877 (tests: subdir-mount.t is failing for brick_mux regrssion) posted (#1) for review on master by MOHIT AGRAWAL

--- Additional comment from Worker Ant on 2019-06-17 11:40:35 UTC ---

REVIEW: https://review.gluster.org/22877 (tests: subdir-mount.t is failing for brick_mux regrssion) merged (#2) on master by MOHIT AGRAWAL

Comment 1 Worker Ant 2019-07-02 15:41:50 UTC
REVIEW: https://review.gluster.org/22981 (tests: subdir-mount.t is failing for brick_mux regrssion) posted (#2) for review on release-6 by MOHIT AGRAWAL

Comment 2 Worker Ant 2019-07-03 06:41:22 UTC
REVIEW: https://review.gluster.org/22981 (tests: subdir-mount.t is failing for brick_mux regrssion) merged (#3) on release-6 by hari gowtham


Note You need to log in before you can comment on or make changes to this bug.